Subject: [os2genau_digest] No. 1042
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Mon, 7 Feb 2005 00:01:06 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Sunday 06 February 2005
 Number  1042
**************************************************

Subjects for today
 
1   Interesting note from [VOICENWS] list : Chris_neeson <Chris_Neeson at compuserve dot com>
2  Re:  Interesting note from [VOICENWS] list : Voytek Eymont" <voytek at sbt dot net dot au>
3  Re:  I'm in real strife now! : Chris_neeson <Chris_Neeson at compuserve dot com>
4  Re:  I'm in real strife now! : Voytek Eymont" <voytek at sbt dot net dot au>

**= Email   1 ==========================**

Date:  Sun, 6 Feb 2005 05:17:50 -0500
From:  Chris_neeson <Chris_Neeson at compuserve dot com>
Subject:   Interesting note from [VOICENWS] list

I think the corporate success of W95 was a bigger
probelm to OS/2 than protected mode for Win3.0 was.

OS/2 had security  features Win 3.x & 95 couldn't even dream of,
a solid OS design, genuine multitasking, a genuine 32bit growth path, 
and by v2.2 the ability to emulate Win 3.x.

But the corporate decision to go with W95 undermined
the efforts of technical excellence.

( it makes Tricontinental, HIH, Qintex, Bond Corp, Enron etc
  perfectly 'normal' )

Regards
Chris

----------------- Mike mailed -----------------
 
Hi All,

for anyone not subscribing to VOICE lists.

[begin insert]

> From: outpostsysopDESPAM at earthlink dot net
>
> I was reading this on /. ( http://slashdot dot org/ ) and it discusses how
> OS/2 would have become the predominant OS if Windows 3.0 programs hadn't
> been able to run in protected mode... here's the blurb from /. :
>
> covertbadger writes "Larry Osterman said farewell yesterday to David
> Weise, the developer he credits with getting applications to run in
> protected mode on Windows 3.0, which led directly to Microsoft choosing
to
> push Windows instead of OS/2. Today he speculates on what the IT world
> would be like if Weise had never completed this work. Windows 95 would
> never have existed, OS/2 would be the de facto standard, and IBM would
> never have put weight behind Linux because it had its own operating
system
> to push."
>
> Url: http://weblogs.asp dot net/larryosterman/archive/2005/02/03/366493.aspx
>
> From: Sean Dennis (outpostsysopDESPAM at earthlink dot net)

[End insert]
-- 
Regards,
Mike
----------------------------------------------------------------------------------
 
**= Email   2 ==========================**

Date:  Sun, 6 Feb 2005 21:26:23 +1100 (EST)
From:  "Voytek Eymont" <voytek at sbt dot net dot au>
Subject:  Re:  Interesting note from [VOICENWS] list

Chris_neeson said:
> I think the corporate success of W95 was a bigger
> probelm to OS/2 than protected mode for Win3.0 was.

what the article says that w95 would have never happened if

-- 
Voytek
----------------------------------------------------------------------------------
 
**= Email   3 ==========================**

Date:  Sun, 6 Feb 2005 05:39:33 -0500
From:  Chris_neeson <Chris_Neeson at compuserve dot com>
Subject:  Re:  I'm in real strife now!

Kev disconnected his Luinux disk, trying to get OS2
working after installing Linux with JFS

I think it's possible that OS2 is detecting that the
filesystem on the Linux drive is JFS, but not that
it's a Linux JFS ( someone else on this list recently
reported that Linux JFS & OS/2 JFS were different
creatures.
( remember that floppies can be formatted as FATwhatever,
  but that part of the filesystem 'header' tells us which
  OS and IOSYS created it.
  That hasn't mattered much for FAT floppies,
  which are compatible in filesystem structure
  but it matters a lot for JFS variations ).

What's probably needed is to be able to tell OS/2's IFS for JFS
to 'mount' the JFS filesystem on drive/partition/volume X,
and an OS/2 IFS for Linux JFSes to 'mount' the filesystem
on drive/partition/volume Y.

Does OS2's IFS for JFS come with a volume parm?
( if it doesn't, it needs one now ).

Is there an IFS for Linux JFSes?

Regards
Chris

-------------- Kev emailed -----------------
 
Hi Ed, et al

Well, here I am back in eCS for 1st time in 3 days.  So now to work out 
what Ubuntu did to my master drive.  The main reason I keep Linux on a 
separate physical drive is so that it would have less chance of killing 
all the stuff I really want, and it did it anyhow!

Unless someone has some better suggestion, I'll go into LVM and re-save 
each partition/volume as an LVM partition/volume and see if that fixes 
my woes.

Thanx
Kev

----------- after Ed sugested --------------
 
Hi Ed

On Thu, 2005-02-03 at 19:18 +1100, Ed Durrant wrote:

>    Since you suspect Linsux and it's on a separate drive, why not simply 
> disconnect the data and power cables to that drive ? Then restart and 
> see if the systems on the first drive run ?

> 
>     It could be that Linsux has tried to move the boot drive for the 
> system to "its" drive - which is confusing Boot manager / LVM.
> 
>     You "ought" to be able to boot the system using an OS/2 Warp 4 CD 
> and then exit to a command prompt and run LVM to fix up the partition 
> table / boot record / boot manager on the first drive once the second 
> drive is removed.
----------------------------------------------------------------------------------
 
**= Email   4 ==========================**

Date:  Sun, 6 Feb 2005 21:54:07 +1100 (EST)
From:  "Voytek Eymont" <voytek at sbt dot net dot au>
Subject:  Re:  I'm in real strife now!

it's probably irrelevant to the current problem, but:

when I installed RH on an OS/2 system with JFS, and, told Linux to 'use
all existing Linux partition' (or whatever that options is called), Linux
wiped out my OS/2 JFS volume, I guess it considered JFS a Linux
partition....

I wasn't , how to say it, very thrilled at that time

after I was resuscitated I luckily recalled that the 3 GB of OS/2 JFS data
originally came from my TP770 hd, and, was only xcopied maybe few weeks
ago
(and, luckilly, I've then finally removed the TP770 HD)

anyhow, so, in my ltd xprce, Linux install can wipe out OS/2 JFS for those
who do not read prompts.....

but, when I installed Linux on my old OS/2 server, Linux appeared to be
able to access OS/2 JFS volume OK.

Chris_neeson said:
> Kev disconnected his Luinux disk, trying to get OS2
> working after installing Linux with JFS
>
> I think it's possible that OS2 is detecting that the
> filesystem on the Linux drive is JFS, but not that
> it's a Linux JFS ( someone else on this list recently
> reported that Linux JFS & OS/2 JFS were different
> creatures.

-- 
Voytek
----------------------------------------------------------------------------------